Index: code/branches/menue/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/menue/data/gui/scripts/SingleplayerMenu.lua	(revision 8930)
+++ code/branches/menue/data/gui/scripts/SingleplayerMenu.lua	(revision 8931)
@@ -11,6 +11,7 @@
     
     -- create tabs with desired tab as argument (nil for all)
+    P.createFilterTab("Gametypes", "gametype")
     P.createFilterTab("Missions", "mission")
-    P.createFilterTab("Tutorials", "tutorial")
+    P.createFilterTab("Minigames", "minigame")
     P.createFilterTab("Showcases", "showcase")
     P.createFilterTab("Presentations", "presentation")
Index: code/branches/menue/data/levels/asteroids.oxw
===================================================================
--- code/branches/menue/data/levels/asteroids.oxw	(revision 8930)
+++ code/branches/menue/data/levels/asteroids.oxw	(revision 8931)
@@ -1,6 +1,6 @@
 <LevelInfo
  name = "Asteroids Race"
- description = "Testmap for gametype asteroid race"
- tags = "test"
+ description = "Reach the checkpoints and avoid asteroids."
+ tags = "gametype"
  screenshot = "asteroids.png"
 />
@@ -15,5 +15,5 @@
 <Level
  name         = "Asteroids Race"
- description  = "testmap for gametype asteroid race"
+ description  = "Reach the checkpoints and avoid asteroids."
  gametype     =  Asteroids
 >
Index: code/branches/menue/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8930)
+++ code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8931)
@@ -1,6 +1,6 @@
 <LevelInfo
  name = "Dynamic Match"
- description = "In progress - Level for dynamicmatch"
- tags = "test"
+ description = "Dynamicmatch: Take care of what you're shooting at."
+ tags = "gametype"
  screenshot = "dynamicMatch.png"
 />
Index: code/branches/menue/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastManStanding.oxw	(revision 8930)
+++ code/branches/menue/data/levels/lastManStanding.oxw	(revision 8931)
@@ -2,5 +2,5 @@
  name = "Last Man Standing"
  description = "Be the sole survivor."
- tags = "mission"
+ tags = "gametype"
  screenshot = "lastmanstanding.png"
 />
Index: code/branches/menue/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8930)
+++ code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8931)
@@ -2,5 +2,5 @@
  name = "Last Team Standing"
  description = "Survive as a team."
- tags = "mission"
+ tags = "gametype"
  screenshot = "lastteamstanding.png"
 />
Index: code/branches/menue/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8930)
+++ code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8931)
@@ -2,5 +2,5 @@
  name = "On the fly"
  description = "Survive as a team."
- tags = "mission"
+ tags = "gametype"
  screenshot = "onthefly.png"
 />
Index: code/branches/menue/data/levels/pong.oxw
===================================================================
--- code/branches/menue/data/levels/pong.oxw	(revision 8930)
+++ code/branches/menue/data/levels/pong.oxw	(revision 8931)
@@ -2,5 +2,5 @@
  name = "Pong"
  description = "Pong in space!"
- tags = "showcase"
+ tags = "minigame"
  screenshot = "pong.png"
 />
@@ -50,6 +50,6 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
+ name         = "Pong"
+ description  = "Pong in space!"
  gametype     = Pong
 >
Index: code/branches/menue/data/levels/spaceRace.oxw
===================================================================
--- code/branches/menue/data/levels/spaceRace.oxw	(revision 8930)
+++ code/branches/menue/data/levels/spaceRace.oxw	(revision 8931)
@@ -1,6 +1,6 @@
 <LevelInfo
  name = "Space Race"
- description = "Test level for the gametype Space Race."
- tags = "test"
+ description = "Have a furious Race in Space: Reach the checkpoints as fast as possible."
+ tags = "gametype"
  screenshot = "spacerace.png"
 />
Index: code/branches/menue/data/levels/teamBaseMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8930)
+++ code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8931)
@@ -1,6 +1,6 @@
 <LevelInfo
  name = "Teambase Match"
- description = "Fight for the bases."
- tags = "mission"
+ description = "Fight for the bases. Capture bases by shooting at them and defend them against attackers."
+ tags = "gametype"
  screenshot = "teambasematch.png"
 />
@@ -16,6 +16,6 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
+ name         = "Teambase Match"
+ description  = "Fight for the bases."
  gametype     = TeamBaseMatch
 >
Index: code/branches/menue/data/levels/teamDeathMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8930)
+++ code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8931)
@@ -2,5 +2,5 @@
  name = "Team Deathmatch"
  description = "Fight against each other in teams."
- tags = "mission"
+ tags = "gametype"
  screenshot = "teamdeathmatch.png"
 />
@@ -16,6 +16,6 @@
 
 <Level
- name         = "Waypoints"
- description  = "Testing waypoings for AI controlled spaceships."
+ name         = "Team Deathmatch"
+ description  = "Fight against each other in teams."
  gametype     = TeamDeathmatch
 >
Index: code/branches/menue/data/levels/tetris.oxw
===================================================================
--- code/branches/menue/data/levels/tetris.oxw	(revision 8930)
+++ code/branches/menue/data/levels/tetris.oxw	(revision 8931)
@@ -2,5 +2,5 @@
  name = "Tetris"
  description = "Tetris in space!"
- tags = "showcase"
+ tags = "minigame"
  screenshot = "tetris.png"
 />
@@ -31,6 +31,6 @@
 
 <Level
- name         = "Presentation"
- description  = "A simple testlevel"
+ name         = "Tetris"
+ description  = "Tetris in space!"
  gametype     = "Tetris"
 >
Index: code/branches/menue/data/levels/theTimeMachine.oxw
===================================================================
--- code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8930)
+++ code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8931)
@@ -2,5 +2,5 @@
  name = "The Time Machine"
  description = "A simple level. The only goal is to defeat as much enemies as you can."
- tags = "mission"
+ tags = "gametype"
  screenshot = "thetimemachine.png"
 />
Index: code/branches/menue/data/levels/underAttack.oxw
===================================================================
--- code/branches/menue/data/levels/underAttack.oxw	(revision 8930)
+++ code/branches/menue/data/levels/underAttack.oxw	(revision 8931)
@@ -1,6 +1,6 @@
 <LevelInfo
- name = "UnderAttack testing"
- description = "A simple testlevel"
- tags = "test"
+ name = "Under Attack"
+ description = "Fight the transporter."
+ tags = "gametype"
  screenshot = "underattack.png"
 />
@@ -15,6 +15,6 @@
 
 <Level
- name         = "UnderAttack testing"
- description  = "A simple testlevel"
+ name         = "Under Attack"
+ description  = "Fight against the transporter."
  gametype     = UnderAttack
 >
Index: code/branches/menue/src/orxonox/LevelInfo.cc
===================================================================
--- code/branches/menue/src/orxonox/LevelInfo.cc	(revision 8930)
+++ code/branches/menue/src/orxonox/LevelInfo.cc	(revision 8931)
@@ -91,4 +91,6 @@
             LevelInfoItem::possibleTags_s.insert("presentation");
             LevelInfoItem::possibleTags_s.insert("mission");
+            LevelInfoItem::possibleTags_s.insert("gametype");
+            LevelInfoItem::possibleTags_s.insert("minigame");
         }
     }